DO $$
    DECLARE
        _path  character varying(256) := 'patch-2026_02_26-TimeZones_LondonOffset_Winter.sql';
        _build integer := 16616;
    BEGIN
        IF EXISTS (SELECT 1 FROM public."Versions" WHERE "Path" = _path) THEN
            RETURN;
        END IF;

        IF EXISTS (SELECT 1 FROM public."Versions" WHERE "Build" >= _build) THEN
            RETURN;
        END IF;

        BEGIN

            UPDATE public."TimeZones"
            SET
                "UtcOffset" = '+00:00',
                "OffsetMinutes" = 0
            WHERE
                "Id" = 273
              AND "Version" = 1
              AND
                (
                    "UtcOffset" IS DISTINCT FROM '+00:00'
                        OR "OffsetMinutes" IS DISTINCT FROM 0
                    );

            INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);

        EXCEPTION
            WHEN OTHERS THEN
                RAISE NOTICE '[ERR] %: %', _path, SQLERRM;
        END;
    END;
$$;